package com.sw.mes.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.production.dto.FormulaProductSchemeDto;
import com.sw.mes.production.entity.FormulaProductScheme;
import com.sw.mes.production.entity.FormulaProductSchemeDetail;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface FormulaProductSchemeService extends BaseService<FormulaProductScheme> {
    FormulaProductScheme findByEquipmentCodeAndProductModeCode(String equipmentCode, String productModeCode);

    void update(FormulaProductSchemeDto dto,  FormulaProductScheme entity);

    List<FormulaProductScheme>  creates(List<FormulaProductScheme> formulaProductSchemes);

    List<FormulaProductSchemeDto>  createsV2(List<FormulaProductSchemeDto> dtoList);

    void create(FormulaProductSchemeDto formulaProductSchemeDto);

    void createBatch(FormulaProductSchemeDto dto);

    String checkAgainNum(List<FormulaProductSchemeDetail> detailList);
}
